<?php

namespace Drupal\billwerk_custom_example;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;

/**
 * Modifies the subman_sync service class for a custom one.
 */
class BillwerkCustomServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    // Modifies the subman_sync service class for a custom one.
    $definition = $container->getDefinition('subman.sync');
    $definition->setClass('Drupal\billwerk_custom_example\BillwerkCustomSync');
  }

}
